summaryrefslogtreecommitdiffstats
path: root/compass-deck/bin/chef/clean_clients.sh
diff options
context:
space:
mode:
Diffstat (limited to 'compass-deck/bin/chef/clean_clients.sh')
-rwxr-xr-xcompass-deck/bin/chef/clean_clients.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/compass-deck/bin/chef/clean_clients.sh b/compass-deck/bin/chef/clean_clients.sh
new file mode 100755
index 0000000..7a26bea
--- /dev/null
+++ b/compass-deck/bin/chef/clean_clients.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+echo "clean chef clients"
+yes | knife client bulk delete '^(?!chef-).*'
+if [[ "$?" != "0" ]]; then
+ echo "failed to clean all clients"
+fi